Skip to main content
POST
/
runs
/
{run_uid}
/
continue
Continue an incremental run from its last checkpoint. Only available for runs started with sync_mode="incremental".
curl --request POST \
  --url https://api.edges.run/v1/runs/{run_uid}/continue \
  --header 'X-API-Key: <api-key>'
{
  "id": 123,
  "uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "action_id": 123,
  "action_name": "<string>",
  "retry_count": 0,
  "user_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "workspace_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "execution_mode": "LIVE",
  "last_error": {
    "label": "<string>",
    "message": "<string>",
    "params": {}
  },
  "parameters": {
    "sync_mode": "full"
  },
  "callback": {
    "url": "<string>"
  },
  "status": "CREATED",
  "output_count": 0,
  "scheduled_run_uid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "started_at": "<string>",
  "finished_at": "<string>",
  "created_at": "<string>",
  "updated_at": "<string>"
}
uid is used for all the endpoints and Run manipulation.The id is an internal identifier returned to smooth and improve speed and accuracy if you have questions about your runs you will want to submit to the team.

Prerequisites

The run must meet these conditions to be continued:
  • The run was launched with sync_mode: "incremental" in the parameters object.
  • The run was executed with an Engagement Identity (type: "engagement").
  • The run status is one of: BLOCKED, STOPPED, FAILED, PARTIAL_SUCCEEDED, or SUCCEEDED.
When a run is continued, its status and all related inputs are reset to SCHEDULED.

Behavior

  • Each continue call fetches up to max_results new items since the last retrieval.
  • Results are delivered via the same callback URL configured during the original run.
  • The run retains its original run_uid across all continuations.
If more new items were created than the max_results limit between two continue calls, items beyond that limit will be lost. Data is always fetched from the most recent to the oldest.

Supported Actions

ActionDescription
linkedin-extract-connectionsExtract LinkedIn connections
linkedin-extract-messagesExtract LinkedIn messages
linkedin-extract-profile-viewersExtract profile viewers
linkedin-extract-post-commentersExtract commenters on a post
linkedin-extract-post-likersExtract likers on a post
linkedin-extract-post-repostersExtract reposters of a post
For a full overview of incremental sync, see the Incremental Sync guide.

Authorizations

X-API-Key
string
header
required

Path Parameters

run_uid
string<uuid>
required

Run UUID

Response

Returns the run

Returns the run

id
integer

Run ID

uid
string<uuid>

Run UUID

action_id
integer

Action ID

action_name
string

Action name

retry_count
integer
default:0

Retry count

user_uid
string<uuid>

Member/User UUID

workspace_uid
string<uuid>

Workspace UUID

execution_mode
enum<string> | null

Execution mode

Available options:
LIVE,
ASYNC
last_error
object

Last error message

parameters
object
callback
object

Callback (only for async runs)

status
enum<string> | null

Run status

Available options:
CREATED,
INVALID,
QUEUED,
SCHEDULED,
BLOCKED,
STOPPED,
RUNNING,
FAILED,
PARTIAL_SUCCEEDED,
SUCCEEDED
output_count
integer | null
default:0

Number of outputs generated by the run

scheduled_run_uid
string<uuid> | null

If the run is scheduled, this field indicates the scheduled run UUID.

started_at
string | null

Started at

finished_at
string | null

Finished at

created_at
string

Created at

updated_at
string | null

Updated at